Bug 1070398 - (netstat-monitor) Review Request: netstat-monitor - A command line tool to monitor network connections
Review Request: netstat-monitor - A command line tool to monitor network conn...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian "der-flo" Lehner
Fedora Extras Quality Assurance
:
Depends On: 1070357
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2014-02-26 12:50 EST by Fabian Affolter
Modified: 2014-10-14 00:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: netstat-monitor-1.1.1-3.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-14 00:31:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dev: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2014-02-26 12:50:22 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/netstat-monitor.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/netstat-monitor-1.1.1-1.fc20.src.rpm

Project URL: https://github.com/stalexan/netstat-monitor

Description:
Netstat-monitor is a command line tool for monitoring network connections.
Its output is similar to the output from the netstat command with the options
"netstat --inet -alp". Netstat-monitor can be left running, though, and will
report new connections as they are made. Also, filters can be used to limit
what's displayed to just what's unexpected or interesting.

rpmlint output:
[fab@laptop011 SRPMS]$ rpmlint netstat-monitor-1.1.1-1.fc20.src.rpm 
netstat-monitor.src: W: spelling-error %description -l en_US inet -> int, net, inset
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop011 noarch]$ rpmlint netstat-monitor-1.1.1-1.fc20.noarch.rpm 
netstat-monitor.noarch: W: spelling-error %description -l en_US inet -> int, net, inset
netstat-monitor.noarch: W: no-manual-page-for-binary netstat-monitor
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Fedora Account System Username: fab
Comment 1 Volker Fröhlich 2014-02-27 04:57:57 EST
BR python-netaddr seems to be missing and I'm not sure whether this exists for Python3 in Fedora.
Comment 2 Volker Fröhlich 2014-02-27 04:58:30 EST
Argh, nevermind!
Comment 3 Fabian Affolter 2014-07-02 16:10:52 EDT
(In reply to Volker Fröhlich from comment #1)
> BR python-netaddr seems to be missing and I'm not sure whether this exists
> for Python3 in Fedora.

Now python3-netaddr is available.

%changelog
* Wed Apr 23 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.4.6-2
- Add requirements

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/netstat-monitor.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/netstat-monitor-1.1.1-2.fc20.src.rpm
Comment 4 Florian "der-flo" Lehner 2014-09-21 11:11:05 EDT
hi!

just minor issues:

[ ] The version in %changelog isn't the version of the software

[ ] You don't really need the for-loop after %setup as long as you remove the shebang just from one file



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "AGPL (v3 or later)". 
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/netstat-monitor, /usr/lib/python3.4
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/netstat-monitor,
     /usr/lib/python3.4
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
   ---> Please fix the version issue
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: netstat-monitor-1.1.1-2.fc22.noarch.rpm
          netstat-monitor-1.1.1-2.fc22.src.rpm
netstat-monitor.noarch: W: spelling-error %description -l en_US inet -> int, net, inset
netstat-monitor.noarch: W: incoherent-version-in-changelog 0.4.6-2 ['1.1.1-2.fc22', '1.1.1-2']
netstat-monitor.noarch: W: dangling-relative-symlink /usr/share/doc/netstat-monitor/README README.md
netstat-monitor.noarch: W: no-manual-page-for-binary netstat-monitor
netstat-monitor.src: W: spelling-error %description -l en_US inet -> int, net, inset
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint netstat-monitor
netstat-monitor.noarch: W: spelling-error %description -l en_US inet -> int, net, inset
netstat-monitor.noarch: W: incoherent-version-in-changelog 0.4.6-2 ['1.1.1-2.fc22', '1.1.1-2']
netstat-monitor.noarch: W: dangling-relative-symlink /usr/share/doc/netstat-monitor/README README.md
netstat-monitor.noarch: W: no-manual-page-for-binary netstat-monitor
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
netstat-monitor (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)



Provides
--------
netstat-monitor:
    netstat-monitor



Source checksums
----------------
https://www.alexan.org/netstat-monitor/netstat-monitor-1.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 82e799045ec2eded693c37b0b0c7b8b4a6a523b426d6951b27a7efc8ab0fc28b
  CHECKSUM(SHA256) upstream package : 82e799045ec2eded693c37b0b0c7b8b4a6a523b426d6951b27a7efc8ab0fc28b


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1070398
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 5 Fabian Affolter 2014-09-22 09:18:45 EDT
(In reply to Florian "der-flo" Lehner from comment #4) 
> [ ] The version in %changelog isn't the version of the software

Fixed
 
> [ ] You don't really need the for-loop after %setup as long as you remove
> the shebang just from one file

Loop removed

* Mon Sep 22 2014 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.1-3
- Fix changelog entries
- Remove loop 

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/netstat-monitor.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/netstat-monitor-1.1.1-3.fc20.src.rpm

Thanks
Comment 6 Florian "der-flo" Lehner 2014-09-22 13:22:14 EDT
Hi Fabian!

It looks fine, so I approve it.

Cheers,
 Flo
Comment 7 Fabian Affolter 2014-09-22 15:23:09 EDT
New Package SCM Request
=======================
Package Name: netstat-monitor
Short Description: A command line tool to monitor network connections
Owners: fab
Branches: f20 f21 el6 epel7
InitialCC:
Comment 8 Gwyn Ciesla 2014-09-23 08:14:08 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2014-09-24 11:22:51 EDT
netstat-monitor-1.1.1-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/netstat-monitor-1.1.1-3.fc21
Comment 10 Fedora Update System 2014-09-24 11:31:24 EDT
netstat-monitor-1.1.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/netstat-monitor-1.1.1-3.fc20
Comment 11 Fedora Update System 2014-09-24 14:26:05 EDT
netstat-monitor-1.1.1-3.fc21 has been pushed to the Fedora 21 testing repository.
Comment 12 Fedora Update System 2014-10-14 00:31:51 EDT
netstat-monitor-1.1.1-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 13 Fedora Update System 2014-10-14 00:32:31 EDT
netstat-monitor-1.1.1-3.fc21 has been pushed to the Fedora 21 stable repository.

Note You need to log in before you can comment on or make changes to this bug.